Package org.eclipse.birt.chart.model.attribute.impl

# Class TextAlignmentImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.attribute.impl.TextAlignmentImpl

All Implemented Interfaces:
  `TextAlignment`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class TextAlignmentImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements TextAlignment
An implementation of the model object ' Text Alignment'.

The following features are implemented:

- `Horizontal Alignment`
- `Vertical Alignment`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`TextAlignment`
`copyInstance()`
`static final TextAlignment`
`create()`
A convenient method to create a new TextAlignment instance and initialize its members
`static final TextAlignment`
`createDefault()`
A convenient method to create a new TextAlignment instance and initialize its members
`static final TextAlignment`
`createDefault(HorizontalAlignment ha, VerticalAlignment va)`
A convenient method to create a new TextAlignment instance and initialize its members
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`boolean`
`equals(Object obj)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`HorizontalAlignment`
`getHorizontalAlignment()`
`VerticalAlignment`
`getVerticalAlignment()`
`int`
`hashCode()`
`boolean`
`isSetHorizontalAlignment()`
`boolean`
`isSetVerticalAlignment()`
`void`
`setHorizontalAlignment(HorizontalAlignment newHorizontalAlignment)`
`void`
`setVerticalAlignment(VerticalAlignment newVerticalAlignment)`
`String`
`toString()`
`void`
`unsetHorizontalAlignment()`
`void`
`unsetVerticalAlignment()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getHorizontalAlignment

public HorizontalAlignment getHorizontalAlignment()

Specified by:
  `getHorizontalAlignment` in interface `TextAlignment`
Returns:
  the value of the 'Horizontal Alignment' attribute.
See Also:
  - `HorizontalAlignment`
  - `TextAlignment.isSetHorizontalAlignment()`
  - `TextAlignment.unsetHorizontalAlignment()`
  - `TextAlignment.setHorizontalAlignment(HorizontalAlignment)`
  - `AttributePackage.getTextAlignment_HorizontalAlignment()`

### setHorizontalAlignment

public void setHorizontalAlignment(HorizontalAlignment newHorizontalAlignment)

Specified by:
  `setHorizontalAlignment` in interface `TextAlignment`
Parameters:
  `newHorizontalAlignment` - the new value of the 'Horizontal Alignment' attribute.
See Also:
  - `HorizontalAlignment`
  - `TextAlignment.isSetHorizontalAlignment()`
  - `TextAlignment.unsetHorizontalAlignment()`
  - `TextAlignment.getHorizontalAlignment()`

### unsetHorizontalAlignment

public void unsetHorizontalAlignment()

Specified by:
  `unsetHorizontalAlignment` in interface `TextAlignment`
See Also:
  - `TextAlignment.isSetHorizontalAlignment()`
  - `TextAlignment.getHorizontalAlignment()`
  - `TextAlignment.setHorizontalAlignment(HorizontalAlignment)`

### isSetHorizontalAlignment

public boolean isSetHorizontalAlignment()

Specified by:
  `isSetHorizontalAlignment` in interface `TextAlignment`
Returns:
  whether the value of the 'Horizontal Alignment' attribute is set.
See Also:
  - `TextAlignment.unsetHorizontalAlignment()`
  - `TextAlignment.getHorizontalAlignment()`
  - `TextAlignment.setHorizontalAlignment(HorizontalAlignment)`

### getVerticalAlignment

public VerticalAlignment getVerticalAlignment()

Specified by:
  `getVerticalAlignment` in interface `TextAlignment`
Returns:
  the value of the 'Vertical Alignment' attribute.
See Also:
  - `VerticalAlignment`
  - `TextAlignment.isSetVerticalAlignment()`
  - `TextAlignment.unsetVerticalAlignment()`
  - `TextAlignment.setVerticalAlignment(VerticalAlignment)`
  - `AttributePackage.getTextAlignment_VerticalAlignment()`

### setVerticalAlignment

public void setVerticalAlignment(VerticalAlignment newVerticalAlignment)

Specified by:
  `setVerticalAlignment` in interface `TextAlignment`
Parameters:
  `newVerticalAlignment` - the new value of the 'Vertical Alignment' attribute.
See Also:
  - `VerticalAlignment`
  - `TextAlignment.isSetVerticalAlignment()`
  - `TextAlignment.unsetVerticalAlignment()`
  - `TextAlignment.getVerticalAlignment()`

### unsetVerticalAlignment

public void unsetVerticalAlignment()

Specified by:
  `unsetVerticalAlignment` in interface `TextAlignment`
See Also:
  - `TextAlignment.isSetVerticalAlignment()`
  - `TextAlignment.getVerticalAlignment()`
  - `TextAlignment.setVerticalAlignment(VerticalAlignment)`

### isSetVerticalAlignment

public boolean isSetVerticalAlignment()

Specified by:
  `isSetVerticalAlignment` in interface `TextAlignment`
Returns:
  whether the value of the 'Vertical Alignment' attribute is set.
See Also:
  - `TextAlignment.unsetVerticalAlignment()`
  - `TextAlignment.getVerticalAlignment()`
  - `TextAlignment.setVerticalAlignment(VerticalAlignment)`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### create

public static final TextAlignment create()
A convenient method to create a new TextAlignment instance and initialize its members

Returns:

### createDefault

public static final TextAlignment createDefault()
A convenient method to create a new TextAlignment instance and initialize its members

Returns:

### createDefault

public static final TextAlignment createDefault(HorizontalAlignment ha, VerticalAlignment va)
A convenient method to create a new TextAlignment instance and initialize its members

Returns:

### copyInstance

public TextAlignment copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `TextAlignment`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`